Среди

Windows 7/8/10 64 bit/32bit
gVim 8.1
CodeBlocks 17.12 + gcc 5.1.0 compiler

Windows Free Pascal ver. 1.0

Ubuntu 18.04.3 LTS
CodeBlocks 16.01 + gcc 7.2.0
gVIM 8.0.1453
Geany 1.32
Sublime Text 2 or 3